# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/cirrus,cs2000-cp.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Binding CIRRUS LOGIC Fractional-N Clock Synthesizer & Clock Multiplier

maintainers:
  - Kuninori Morimoto <kuninori.morimoto.gx@renesas.com>

description: |
  The CS2000-CP is an extremely versatile system clocking device that
  utilizes a programmable phase lock loop.

  Link: https://www.cirrus.com/products/cs2000/

properties:
  compatible:
    enum:
      - cirrus,cs2000-cp

  clocks:
    description:
      Common clock binding for CLK_IN, XTI/REF_CLK
    minItems: 2
    maxItems: 2

  clock-names:
    items:
      - const: clk_in
      - const: ref_clk

  '#clock-cells':
    const: 0

  reg:
    maxItems: 1

required:
  - compatible
  - reg
  - clocks
  - clock-names
  - '#clock-cells'

additionalProperties: false

examples:
  - |
    i2c@0 {
      reg = <0x0 0x100>;
      #address-cells = <1>;
      #size-cells = <0>;

      clock-controller@4f {
        #clock-cells = <0>;
        compatible = "cirrus,cs2000-cp";
        reg = <0x4f>;
        clocks = <&rcar_sound 0>, <&x12_clk>;
        clock-names = "clk_in", "ref_clk";
      };
    };
